cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"products": [
{
"id": "cmvuo0akz000avdese3w5d1ik",
"productId": 1792855376,
"publicId": "PRD-ZUHA-G3H3-72EW-NB8F-QTBQ",
"name": "Lumen — Digital Products Store Theme",
"slug": "lumen-digital-products-store-theme",
"price": 79.99,
"slashedPrice": null,
"images": [
"https://cdn.joinmarkt.com/stores/cmvuo0akc0002vdesum2w5xa1/bade/product-cover.webp"
],
"visibility": "public",
"categoryId": "cmvuo0akj0004vdesyct47ira",
"groupId": null,
"variants": [],
"stockAvailable": 120,
"storeId": "cmvuo0akc0002vdesum2w5xa1",
"createdAt": "2026-10-30T07:42:52.307Z",
"updatedAt": "2026-10-30T08:54:14.057Z"
},
{
"id": "cmvuo0al3000cvdes3uxwp5gk",
"productId": 1792855377,
"publicId": "PRD-9DWQ-2RKH-QA9V-GTSY-FMZ5",
"name": "Obsidian — Gaming Store Theme",
"slug": "obsidian-gaming-store-theme",
"price": 99.99,
"slashedPrice": null,
"images": [
"https://cdn.joinmarkt.com/stores/cmvuo0akc0002vdesum2w5xa1/bade/product-cover.webp"
],
"visibility": "public",
"categoryId": "cmvuo0akj0004vdesyct47ira",
"groupId": null,
"variants": [],
"stockAvailable": 120,
"storeId": "cmvuo0akc0002vdesum2w5xa1",
"createdAt": "2026-10-30T07:42:52.311Z",
"updatedAt": "2026-10-30T08:54:14.061Z"
}
],
"page": 1,
"limit": 2,
"total": 10
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}List products
All products in the store, newest first unless the seller set a custom order.
Scope: product:read
GET
/
api
/
merchant
/
v1
/
stores
/
{storeId}
/
products
cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/products",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"products": [
{
"id": "cmvuo0akz000avdese3w5d1ik",
"productId": 1792855376,
"publicId": "PRD-ZUHA-G3H3-72EW-NB8F-QTBQ",
"name": "Lumen — Digital Products Store Theme",
"slug": "lumen-digital-products-store-theme",
"price": 79.99,
"slashedPrice": null,
"images": [
"https://cdn.joinmarkt.com/stores/cmvuo0akc0002vdesum2w5xa1/bade/product-cover.webp"
],
"visibility": "public",
"categoryId": "cmvuo0akj0004vdesyct47ira",
"groupId": null,
"variants": [],
"stockAvailable": 120,
"storeId": "cmvuo0akc0002vdesum2w5xa1",
"createdAt": "2026-10-30T07:42:52.307Z",
"updatedAt": "2026-10-30T08:54:14.057Z"
},
{
"id": "cmvuo0al3000cvdes3uxwp5gk",
"productId": 1792855377,
"publicId": "PRD-9DWQ-2RKH-QA9V-GTSY-FMZ5",
"name": "Obsidian — Gaming Store Theme",
"slug": "obsidian-gaming-store-theme",
"price": 99.99,
"slashedPrice": null,
"images": [
"https://cdn.joinmarkt.com/stores/cmvuo0akc0002vdesum2w5xa1/bade/product-cover.webp"
],
"visibility": "public",
"categoryId": "cmvuo0akj0004vdesyct47ira",
"groupId": null,
"variants": [],
"stockAvailable": 120,
"storeId": "cmvuo0akc0002vdesum2w5xa1",
"createdAt": "2026-10-30T07:42:52.311Z",
"updatedAt": "2026-10-30T08:54:14.061Z"
}
],
"page": 1,
"limit": 2,
"total": 10
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}Authorizations
Your Merchant API key. Create one in Dashboard → Developers → API keys.
Path Parameters
Your store id. Find it in Dashboard → Developers, or in GET /stores with MCP.
Query Parameters
Page number, starting at 1.
Required range:
x >= 1Items per page (1–100).
Required range:
1 <= x <= 100Response
A page of products.
The response is of type object.

